Package weka.classifiers.trees.ht

# Class NominalConditionalSufficientStats

java.lang.Object
weka.classifiers.trees.ht.ConditionalSufficientStats
weka.classifiers.trees.ht.NominalConditionalSufficientStats

All Implemented Interfaces:
  `Serializable`

public class NominalConditionalSufficientStats extends ConditionalSufficientStats implements Serializable
Maintains sufficient stats for the distribution of a nominal attribute

Version:
  $Revision: 10432 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NominalConditionalSufficientStats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SplitCandidate`
  `bestSplit(SplitMetric splitMetric, Map<String,WeightMass> preSplitDist, String attName)`
  Return the best split
  `double`
  `probabilityOfAttValConditionedOnClass(double attVal, String classVal)`
  Return the probability of an attribute value conditioned on a class value
  `void`
  `update(double attVal, String classVal, double weight)`
  Update this stat with the supplied attribute value and class value

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NominalConditionalSufficientStats

    public NominalConditionalSufficientStats()

- ## Method Details

  - ### update

    public void update(double attVal, String classVal, double weight)
    Description copied from class: `ConditionalSufficientStats`
    Update this stat with the supplied attribute value and class value
    Specified by:
      `update` in class `ConditionalSufficientStats`
    Parameters:
      `attVal` - the value of the attribute
      `classVal` - the class value
      `weight` - the weight of this observation

  - ### probabilityOfAttValConditionedOnClass

    public double probabilityOfAttValConditionedOnClass(double attVal, String classVal)
    Description copied from class: `ConditionalSufficientStats`
    Return the probability of an attribute value conditioned on a class value
    Specified by:
      `probabilityOfAttValConditionedOnClass` in class `ConditionalSufficientStats`
    Parameters:
      `attVal` - the attribute value to compute the conditional probability for
      `classVal` - the class value
    Returns:
      the probability

  - ### bestSplit

    public SplitCandidate bestSplit(SplitMetric splitMetric, Map<String,WeightMass> preSplitDist, String attName)
    Description copied from class: `ConditionalSufficientStats`
    Return the best split
    Specified by:
      `bestSplit` in class `ConditionalSufficientStats`
    Parameters:
      `splitMetric` - the split metric to use
      `preSplitDist` - the distribution of class values prior to splitting
      `attName` - the name of the attribute being considered for splitting
    Returns:
      the best split for the attribute